%define upstream_name    Parse-IRC
%define upstream_version 1.22

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    A parser for the IRC protocol
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Parse/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Test::More) >= 0.470.0
BuildArch:  noarch

%description
Parse::IRC provides a convenient way of parsing lines of text conforming to
the IRC protocol ( see RFC1459 or RFC2812 ).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.220.0-6.mga10
+ Revision: 2204248
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 1.220.0-5.mga9
+ Revision: 1809980
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.220.0-4.mga8
+ Revision: 1505873
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.220.0-3.mga7
+ Revision: 1285500
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 1.220.0-2.mga7
+ Revision: 1166134
- rebuild with fixed rpm for missing autodeps

* Sat Sep 23 2017 sander85 <sander85> 1.220.0-1.mga7
+ Revision: 1157907
- update to 1.22
- update to 1.22

* Sun Jun 19 2016 pterjan <pterjan> 1.200.0-7.mga6
+ Revision: 1031709
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.200.0-6.mga6
+ Revision: 943105
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.200.0-5.mga5
+ Revision: 743551
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.200.0-4.mga5
+ Revision: 685895
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.200.0-3.mga4
+ Revision: 513976
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.200.0-2.mga3
+ Revision: 371531
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 21 2012 jquelin <jquelin> 1.200.0-1.mga3
+ Revision: 308683
- imported package perl-Parse-IRC


* Sun Oct 21 2012 cpan2dist 1.20-1mga
- initial mageia release, generated with cpan2dist
